REGFI_NK Struct Reference
Base Layer: Essential Functions and Data Structures

Key structure. More...

Collaboration diagram for REGFI_NK:
[legend]

## Data Fields

uint32_t | offset
| Real offset of this record's cell in the file.
uint32_t | cell_size
| Actual or estimated length of the cell. More...
REGFI_VALUE_LIST * | values
| Preloaded value-list for this key. More...
REGFI_SUBKEY_LIST * | subkeys
| Preloaded subkey-list for this key. More...
uint16_t | flags
| Key flags.
uint8_t | magic [REGFI_CELL_MAGIC_SIZE]
| Magic number of key (should be "nk")
REGFI_NTTIME | mtime
| Key's last modification time.
uint16_t | name_length
| Length of name_raw.
uint16_t | classname_length
| Length of referenced classname.
char * | name
| The name of this key converted to desired REGFI_ENCODING. More...
uint8_t * | name_raw
| The raw key name. More...
uint32_t | parent_off
| Virtual offset of parent key.
uint32_t | classname_off
| Virtual offset of classname key.
uint32_t | num_subkeys
| Number of subkeys.
uint32_t | subkeys_off
| Virtual offset of subkey-list.
uint32_t | num_values
| Number of values for this key.
uint32_t | values_off
| Virtual offset of value-list.
uint32_t | sk_off
| Virtual offset of SK record.

## Detailed Description

Key structure.

## Field Documentation

## cell_size

uint32_t REGFI_NK::cell_size

Actual or estimated length of the cell.

Always in multiples of 8.

## values

REGFI_VALUE_LIST* REGFI_NK::values

Preloaded value-list for this key.

This element is loaded automatically when using the iterator interface and possibly some lower layer interfaces.

Referenced by regfi_fetch_num_values(), and regfi_get_value().

## subkeys

REGFI_SUBKEY_LIST* REGFI_NK::subkeys

Preloaded subkey-list for this key.

This element is loaded automatically when using the iterator interface and possibly some lower layer interfaces.

Referenced by regfi_fetch_num_subkeys(), and regfi_get_subkey().

## name

char* REGFI_NK::name

The name of this key converted to desired REGFI_ENCODING.

This conversion typically occurs automatically through REGFI_ITERATOR settings. String is NUL terminated.

Referenced by regfi_find_subkey().

## name_raw

uint8_t* REGFI_NK::name_raw

The raw key name.

Length of the buffer is stored in name_length.

The documentation for this struct was generated from the following file:

- regfi.h